/*
 * Class INDEXABLE [REAL_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_623 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_623 [] = {0xFF01,237,622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_623 [] = {0xFF01,622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_623 [] = {0xFF01,622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_623 [] = {0xFF01,622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_623 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_623 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_623 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_623 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_623 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_623 [] = {622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_623 [] = {0xFF01,622,179,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_623 [] = {0xFF01,624,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_623 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_623 [] = {0xFF01,616,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_623 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_623 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_623 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_623 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_623 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_623 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_623[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_623), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_623), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_623), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_623), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_623), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_623), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_623), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_623), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_623), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_623), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_623), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_623), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_623), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_623), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1896, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_623), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_623), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1950, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1978, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_623), 3377, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_623), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_623), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_623), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_623), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_623), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_623), -1, 0xFFFFFFFF},
};
void Init623(void)
{
	IDSC(desc_623, 0, 622);
	IDSC(desc_623 + 1, 1, 622);
	IDSC(desc_623 + 32, 77, 622);
	IDSC(desc_623 + 41, 282, 622);
	IDSC(desc_623 + 50, 99, 622);
	IDSC(desc_623 + 52, 187, 622);
	IDSC(desc_623 + 58, 256, 622);
	IDSC(desc_623 + 61, 229, 622);
	IDSC(desc_623 + 62, 172, 622);
}


#ifdef __cplusplus
}
#endif
